Skip to main content
GET
/
gbp
/
posts
/
{id}
Get a GBP post
curl --request GET \
  --url https://api.app.hrizn.io/v1/public/gbp/posts/{id} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "a1b2c3d4-5678-9012-3456-789012345678",
    "google_post_id": "accounts/123/locations/456/localPosts/789",
    "location_id": "locations/456",
    "post_type": "EVENT",
    "content_text": "Join us for our spring car show this Saturday!",
    "status": "posted",
    "media_url": "https://example.com/car-show.jpg",
    "posted_at": "2026-03-20T10:30:00.000Z",
    "publish_at_utc": null,
    "scheduled_timezone": null,
    "post_config": {
      "media_url": "https://example.com/car-show.jpg",
      "event_title": "Spring Car Show 2026",
      "start_date": "2026-04-05",
      "start_time": "10:00",
      "end_date": "2026-04-05",
      "end_time": "16:00",
      "action_type": null,
      "action_url": null,
      "coupon_code": null,
      "redeem_url": null,
      "terms_conditions": null
    },
    "created_at": "2026-03-20T10:30:00.000Z",
    "updated_at": "2026-03-20T10:30:00.000Z"
  }
}
Returns full details for a single GBP post by its ID. Scope required: gbp:read

Path parameters

id
string
required
Post ID (UUID).

Response

{
  "data": {
    "id": "a1b2c3d4-5678-9012-3456-789012345678",
    "google_post_id": "accounts/123/locations/456/localPosts/789",
    "location_id": "locations/456",
    "post_type": "EVENT",
    "content_text": "Join us for our spring car show this Saturday!",
    "status": "posted",
    "media_url": "https://example.com/car-show.jpg",
    "posted_at": "2026-03-20T10:30:00.000Z",
    "publish_at_utc": null,
    "scheduled_timezone": null,
    "post_config": {
      "media_url": "https://example.com/car-show.jpg",
      "event_title": "Spring Car Show 2026",
      "start_date": "2026-04-05",
      "start_time": "10:00",
      "end_date": "2026-04-05",
      "end_time": "16:00",
      "action_type": null,
      "action_url": null,
      "coupon_code": null,
      "redeem_url": null,
      "terms_conditions": null
    },
    "created_at": "2026-03-20T10:30:00.000Z",
    "updated_at": "2026-03-20T10:30:00.000Z"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string<uuid>
required

Post ID

Response

Post details

data
object
Last modified on March 27, 2026